Table of Contents
=================

* [cdb](#cdb)
  * [Install](#install)
  * [Developer](#developer)
    * [Test](#test)
    * [Import](#import)
    * [Readme](#readme)

cdb
===

Library for [couchdb](http://couchdb.apache.org) designed for [rlx](https://github.com/freeformsystems/rlx) using [request](https://github.com/mikeal/request).

This module differs from modules such as [nano](https://github.com/dscape/nano) in that it is designed to have feature parity with the [couch-api](http://docs.couchdb.org/en/latest/api/). As such it exhibits some interesting behaviour:

1. Encapsulates many constants for [couchdb](http://couchdb.apache.org), see [constants](https://github.com/freeformsystems/cdb/blob/master/lib/constants).
2. Stashes request information so that a history of requests is available and the last request may be repeated (useful for lazy authentication).
3. Exposes schema descriptors that may be used with [async-validate](https://github.com/freeformsystems/async-validate), see [schema](https://github.com/freeformsystems/cdb/blob/master/lib/schema).

## Install

```
npm i cdb
```

## Developer

### Test

The [rlx](https://github.com/freeformsystems/rlx) module tests this library extensively.

### Import

Imports configuration data from `default.ini` into `config.js`:

```
npm run import
```

### Readme

To build the readme file from the partial definitions:

```
npm run readme
```

Generated by [mdp(1)](https://github.com/freeformsystems/mdp).

[couchdb]: http://couchdb.apache.org
[couch-api]: http://docs.couchdb.org/en/latest/api/
[async-validate]: https://github.com/freeformsystems/async-validate
[nano]: https://github.com/dscape/nano
[request]: https://github.com/mikeal/request
[node]: http://nodejs.org
[npm]: http://www.npmjs.org
[rlx]: https://github.com/freeformsystems/rlx
